%  
%    [Ap,Bp,BND,Grade,w] = sisoasym2(U,Y,nn,Delay) 
% 
%  This function estimates discrete-time model using ASYM. Open loop version 
%
%  Input arguments:
%    U:		Input data vector
%    Y:		Output data vector
%    nn:	   [na nb], model order
%    Delay:	Delay in samples
%
%  Output arguments:
%    Ap:		Denominator parameters in discrete-time
%    Bp:		Numeritor parameters, delay included
%    Grade:	Grades, 'A': very good, 'B': good, 'C': marginal, 'D': poor 
%    BND:	Upper error bound of frequency response
%    w:		Frequency points for BND
%
